org.codehaus.plexus.compiler.util.scan

## Interface SourceInclusionScanner

- All Known Implementing Classes:
    AbstractSourceInclusionScanner, SimpleSourceInclusionScanner, StaleSourceScanner

      public interface SourceInclusionScanner

  Author:
    jdcasey

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSourceMapping(SourceMapping sourceMapping)`
    `Set<File>` | `getIncludedSources(File sourceDir, File targetDir)`

- - ### Method Detail

    - #### addSourceMapping

          void addSourceMapping(SourceMapping sourceMapping)

    - #### getIncludedSources

          Set<File> getIncludedSources(File sourceDir,
                                     File targetDir)
                                       throws InclusionScanException

      Parameters:
        `sourceDir` -
        `targetDir` -
      Returns:
        `Set` of `File` objects
      Throws:
        `InclusionScanException`

Copyright © 2015. All rights reserved.